Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 910733 - [Storage] [Direct LUN] Wrong event message when removing direct LUN disk.
Summary: [Storage] [Direct LUN] Wrong event message when removing direct LUN disk.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.4.0
Assignee: Tal Nisan
QA Contact: Leonid Natapov
URL:
Whiteboard: storage
Depends On:
Blocks: rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2013-02-13 12:24 UTC by Leonid Natapov
Modified: 2016-02-10 17:29 UTC (History)
10 users (show)

Fixed In Version: ovirt-3.4.0-beta3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-12 14:05:20 UTC
oVirt Team: Storage
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 24163 None None None Never
oVirt gerrit 24434 None None None Never

Description Leonid Natapov 2013-02-13 12:24:39 UTC
[Storage] [Direct LUN] Wrong event message when removing direct LUN disk.

When removing direct LUN disk getting the following event message:

user admin@internal initiating removing of disk X from domain < UNKNOWN >.

Direct LUN is not related to any Storage Domain only to DC.

Comment 1 Sean Cohen 2013-02-17 11:57:08 UTC
Moved to 3.3 target release

Comment 2 Itamar Heim 2013-12-08 07:15:57 UTC
still planned for 3.4?

Comment 3 Tal Nisan 2013-12-08 13:59:28 UTC
Yes, seems like an easy fix

Comment 4 Sandro Bonazzola 2014-02-19 12:27:03 UTC
This bug is referenced in ovirt-engine-3.4.0-beta3 logs. Moving to ON_QA

Comment 5 Leonid Natapov 2014-02-20 10:16:58 UTC
fixed. tested on 3.4.0-0.11.beta3.el6. event message shows domain's name instead of UNKNOWN.

Comment 7 Allon Mureinik 2014-02-20 12:26:34 UTC
(In reply to Leonid Natapov from comment #5)
> fixed. tested on 3.4.0-0.11.beta3.el6. event message shows domain's name
> instead of UNKNOWN.
Leonid, LUN disks do not have storage domains.
What exactly are you referring to?

Comment 8 Leonid Natapov 2014-02-20 12:47:41 UTC
Alon,you are right. My bad. The event is "Disk lesik_Disk1 was successfully removed". I have looked at the wrong event.

Comment 9 Itamar Heim 2014-06-12 14:05:20 UTC
Closing as part of 3.4.0


Note You need to log in before you can comment on or make changes to this bug.